package com.yizhi.custom.api.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
/**
 * 经验池列表请求类
 *
 * @author dingxiaowei
 * @date 2018-11-2
 */
@ApiModel("经验池列表请求类")
@Data
public class ExperiencePoolParam {

    @ApiModelProperty("用户ID")
    private Long accountId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("部门ID")
    private Long orgId;

    @ApiModelProperty("站点ID")
    private Long siteId;

    @ApiModelProperty("不是管理员情况下可见部门ID")
    private List<Long> orgIds;

    @ApiModelProperty("请求第几页数")
    private Integer pageNo;

    @ApiModelProperty("一页显示条数")
    private Integer pageSize;

}
