package com.yizhi.custom.api.vo.custom;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className ExperiencePoolReportExportVo
 * @description TODO
 * @date 2018/11/29
 **/

@Data
@Api(value = "经验池报表导出类", description = "经验池报表导出类")
public class ExperiencePoolReportExportVo {

    @ApiModelProperty("用户id")
    private Long accountId;

    @ApiModelProperty("用户名")
    private String accountName;

    @ApiModelProperty("姓名")
    private String accountFullName;

    @ApiModelProperty("所在部门id")
    private Long orgId;

    @ApiModelProperty("所在部门")
    private String orgName;

    @ApiModelProperty("所在组织架构")
    private String orgNames;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("账号创建时间")
    private Date accountCreateTime;

    @ApiModelProperty("总经验值")
    private Long experienceTotal;

    @ApiModelProperty("消耗总值")
    private Long purchaseExperienceTotal;

    @ApiModelProperty("增加总值")
    private Long increaseExperienceTotal;

    @ApiModelProperty("变动经验")
    private Long experience;

    @ApiModelProperty("经验类型")
    private Integer type;

    @ApiModelProperty("变动明细")
    private String description;

    @ApiModelProperty("获得经验活动id")
    private Long activityId;

    @ApiModelProperty("获得经验活动名称")
    private String activityName;

    @ApiModelProperty("经验获取时间")
    private Date createTime;

    @ApiModelProperty("等级")
    private String experienceLevel;

    @ApiModelProperty("课程学习经验")
    private Long courseExperience;

    @ApiModelProperty("考试经验")
    private Long examExperience;

    @ApiModelProperty("调研经验")
    private Long researchExperience;

    @ApiModelProperty("投票经验")
    private Long voteExperience;

    @ApiModelProperty("外部经验")
    private Long externalExperience;
}
