package com.yizhi.custom.api.vo.custom;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className ExperiencePoolReportVo
 * @description TODO
 * @date 2018/11/29
 **/

@Data
@Api(tags = "经验统计类", description = "经验统计类")
public class ExperiencePoolReportVo {

    @ApiModelProperty("经验池id")
    private Long experiencePoolId;

    @ApiModelProperty("经验池名称")
    private String experiencePoolName;

    @ApiModelProperty("可见范围:1全平台,2指定范围")
    private Integer visibleRange;

    @ApiModelProperty("经验池创建时间")
    private Date poolCreateTime;

    @ApiModelProperty("关联学员数")
    private Integer rangeAcountNum;

}
