package com.yizhi.custom.api.vo.custom;


import com.yizhi.custom.api.vo.domain.ExperiencePoolAuthorizeVo;
import com.yizhi.custom.api.vo.domain.ExperiencePoolProjectVo;
import com.yizhi.custom.api.vo.domain.ExperiencePoolVo;
import com.yizhi.custom.api.vo.domain.ProjectActivityExperienceVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 经验池
 *
 * @author dingxiaowei
 * @date 2018-11-2
 */
@Data
@ApiModel(value = "ExperiencePoolVoAutorizeAndProjectVO", description = "经验池可见范围及关联项目类")
public class ExperiencePoolVoAutorizeAndProjectVO extends ExperiencePoolVo {

    @ApiModelProperty("可见范围列表")
    private List<ExperiencePoolAuthorizeVo> experiencePoolAuthorizes;

    @ApiModelProperty("经验池关联项目列表")
    private List<ExperiencePoolProjectVo> poolProjects;

    @ApiModelProperty("经验池项目关联活动经验值列表")
    private List<ProjectActivityExperienceVo> projectActivityExperiences;


}
