package com.yizhi.custom.api.vo.custom;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "个人经验等级", description = "个人经验等级")
public class MyExperienceLevelVo {


    @ApiModelProperty("用户名")
    private String name;

    @ApiModelProperty("姓名")
    private String fullName;

    @ApiModelProperty("性别")
    private String sex;

    @ApiModelProperty("总经验")
    private Integer experienceTotal;
    
    @ApiModelProperty("等级名称")
    private String levelName;
    
    @ApiModelProperty("等级编码")
    private String levelCode;

    @ApiModelProperty("排名")
    private String ranking;

    @ApiModelProperty("当前时间")
    String currentTime;
        
    @ApiModelProperty("个人经验明细列表")
    List<MyExperienceEventsVo> eventClassifys;
}
