package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 代码包管理主体
 * </p>
 *
 * @author dingxiaowei
 * @since 2018-11-01
 */
@Data
@ApiModel(value = "CodePackageManageVo", description = "")
public class CodePackageManageVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
	private Long id;

    @ApiModelProperty(value = "代码包名称")
	private String codePackageName;

    @ApiModelProperty(value = "导入时间")
	private Date importTime;

    @ApiModelProperty(value = "访问路径")
	private String url;

    @ApiModelProperty(value = "状态 0 删除 1 有效")
	private Integer state;

    @ApiModelProperty(value = "创建时间")
	private Date createTime;

    @ApiModelProperty(value = "创建人ID")
	private Long createById;

    @ApiModelProperty(value = "创建人名字")
	private String createByName;

    @ApiModelProperty(value = "修改时间")
	private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
	private Long updateById;

    @ApiModelProperty(value = "修改人名字")
	private String updateByName;

    @ApiModelProperty(value = "企业_ID")
	private Long companyId;

    @ApiModelProperty(value = "部门_ID")
	private Long orgId;

    @ApiModelProperty(value = "站点_ID")
	private Long siteId;



}
