package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 经验池关联项目主体
 * </p>
 *
 * @author dingxiaowei
 * @since 2018-11-01
 */
@Data
@ApiModel(value = "ExperiencePoolProjectVo", description = "")
public class ExperiencePoolProjectVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "经验池ID")
    private Long experienceId;

    @ApiModelProperty(value = "项目类型1 课程 2 考试 3 调研 4 投票")
    private Integer type;

    @ApiModelProperty(value = "项目编码")
    private String bizNo;

    @ApiModelProperty(value = "项目ID")
    private Long bizId;

    @ApiModelProperty(value = "项目名称")
    private String bizName;

    @ApiModelProperty(value = "状态 0 删除 1有效 ")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人名字")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人名字")
    private String updateByName;


}
