package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 经验池关联项目活动经验值设计主体
 * </p>
 *
 * @author dingxiaowei
 * @since 2018-11-01
 */
@Data
@ApiModel(value = "ProjectActivityExperienceSetVo", description = "")
public class ProjectActivityExperienceSetVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "项目关联经验值表_ID")
    private Long projectActivityExperienceId;

    @ApiModelProperty(value = "经验设置类型（1按成绩范围设置，2按成绩值设置）")
    private Integer setType;

    @ApiModelProperty(value = "经验规则对应最小分数")
    private Integer minScore;

    @ApiModelProperty(value = "经验值")
    private Long experience;

    @ApiModelProperty(value = "按成绩值设置倍数")
    private Integer times;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人名字")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人名字")
    private String updateByName;


}
