package com.yizhi.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.domain.CodePackageManage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ding
 * @since 2018-11-06
 */
public interface CodePackageManageMapper extends BaseMapper<CodePackageManage> {

    List<CodePackageManage> getCodePackageManageList(@Param("companyId") Long companyId,@Param("siteId") Long siteId,@Param("orgIds") List<Long> orgIds,
                                                     Page<CodePackageManage> page);
}
