package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.ExperiencePoolProject;
import com.yizhi.application.domain.ProjectActivityExperience;
import com.yizhi.custom.api.vo.custom.ExperienceRulesVO;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ding
 * @since 2018-11-06
 */
public interface IProjectActivityExperienceService extends IService<ProjectActivityExperience> {

    List<ProjectActivityExperience> saveList(List<Long> deleteList, List<ExperiencePoolProject> poolProjectList);

    boolean insertList(List<ProjectActivityExperience> projectActivityExperienceList);

    List<ExperienceRulesVO> getExperienceRules(Long poolId);
}
