package com.yizhi.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.domain.ExperienceRecord;
import com.yizhi.application.mapper.ExperienceRecordMapper;
import com.yizhi.application.service.IExperienceRecordService;
import com.yizhi.application.orm.id.IdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 经验发放记录表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-01-02
 */
@Service
public class ExperienceRecordServiceImpl extends ServiceImpl<ExperienceRecordMapper, ExperienceRecord> implements IExperienceRecordService {

    @Autowired
    private IdGenerator idGenerator;

    @Override
    public void insertRecord(ExperienceRecord experienceRecord) {
        if (null!=experienceRecord){
            experienceRecord.setId(idGenerator.generate());
            this.insert(experienceRecord);
        }
    }
}
