package com.yizhi.custom.api.param;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 *
 * 项目列表请求类
 * @className BizListParam
 * @description TODO
 * @date 2018/11/14
 **/

@ApiModel("项目列表请求类")
@Data
public class BizListParam {

    @ApiModelProperty("项目名称")
    private String name;

    @ApiModelProperty("所选项目ID")
    private List<Long> ids;

    @ApiModelProperty("请求第几页数")
    private Integer pageNo;

    @ApiModelProperty("一页显示条数")
    private Integer pageSize;
}
