package com.yizhi.custom.api.param;

import com.yizhi.custom.api.vo.domain.ProductVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 *
 * 项目列表请求类
 * @className BizListParam
 * @description 自定义项目购买商品请求类
 * @date 2019/09/19
 **/

@ApiModel("自定义项目购买商品请求类")
@Data
public class PurchaseProductsParam {

    @ApiModelProperty("经验池id")
    private Long poolId;

    @ApiModelProperty("所选项目ID")
    private List<ProductVo> products;
}
