package com.yizhi.custom.api.vo.custom;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className ExperiencePoolRuleVo
 * @description TODO
 * @date 2019/1/2
 **/

@Data
@ApiModel(value="考试经验发放规则类" ,description ="考试经验发放规则类")
public class ExperiencePoolExamRuleVo {

    @ApiModelProperty("经验池")
    private Long experiencePoolId;

    @ApiModelProperty("活动类型")
    private Integer type;

    @ApiModelProperty("活动id")
    private Long bizId;

    @ApiModelProperty("活动名称")
    private String bizName;

    @ApiModelProperty("考试发放经验类型:1按设定值发放 2按考试分数范围, 3按考试分数倍数")
    private Integer experienceType;

    @ApiModelProperty("考试经验规则列表")
    private List<ExamRuleListVo> ruleList;

    @ApiModelProperty("如果有可见范围,可见范围ids")
    private List<Long> accountIds;

}
