package com.yizhi.custom.api.vo.custom;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className ExperiencePoolRuleVo
 * @description TODO
 * @date 2019/1/2
 **/

@Data
@ApiModel(value="经验发放规则类" ,description ="经验发放规则类")
public class ExperiencePoolRuleVo {

    private Long experiencePoolId;

    @ApiModelProperty("经验池可见范围")
    private Integer visibleRange;

    @ApiModelProperty("活动类型")
    private Integer type;

    private Long bizId;

    @ApiModelProperty("活动名称")
    private String bizName;

    @ApiModelProperty("获取对应经验值")
    private Long experience;

    @ApiModelProperty("如果是全平台可见,返回指定用户列表")
    private List<Long> accountIds;
}
