package com.yizhi.custom.api.vo.custom;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "我的经验池", description = "我的经验池")
public class MyExperiencePoolVo {

    @ApiModelProperty("是否首次登录，1为首次登陆，0为非首次登陆")
    private Integer firstLogin;
    
    @ApiModelProperty("系统当前年月日")
    private Date nowTime;
    
    @ApiModelProperty("步数")
    private Integer step;

    @ApiModelProperty("编号（年月第几位）")
    private String accountCode;
    
    @ApiModelProperty("座右铭")
    private String motto;
}
