package com.yizhi.custom.api.vo.custom;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "我的积分排行榜", description = "我的积分排行榜")
public class MyExperienceRankingVo {

    @ApiModelProperty("用户名")
    private String name;
    
    @ApiModelProperty("姓名")
    private String fullName;

    @ApiModelProperty("性别")
    private String sex;

    @ApiModelProperty("用户Id")
    private Long accountId;

    @ApiModelProperty("排名")
    private Integer ranking;

    @ApiModelProperty("等级名称")
    private String levelName;
    
    @ApiModelProperty("等级编码")
    private String levelCode;

    @ApiModelProperty("部门名称（全部）")
    private String orgName;

    @ApiModelProperty("经验")
    private Integer experience;


}
