package com.yizhi.custom.api.vo.custom;

import com.yizhi.custom.api.vo.domain.ProductVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className ExperiencePoolRuleVo
 * @description 商品VO类
 * @date 2019/09/19
 **/

@Data
@ApiModel(value="商品前端显示类" ,description ="商品前端显示类")
public class ProductVO {

    @ApiModelProperty(value = "用户总积分")
    private Integer totalPoint;

    @ApiModelProperty(value = "用户总经验")
    private Long totalExperience;

    @ApiModelProperty(value = "端口列表")
    private List<ProductVo> products;
}
