package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 经验池可见范围主体
 * </p>
 *
 * @author dingxiaowei
 * @since 2018-11-01
 */
@Data
@ApiModel(value = "ExperiencePoolAuthorizeVo", description = "")
public class ExperiencePoolAuthorizeVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "经验池ID")    private Long experienceId;

    @ApiModelProperty(value = "1 用户 2 部门")
    private Integer type;

    @ApiModelProperty(value = "批次号")
    private String batchNo;

    @ApiModelProperty("组别")
    private String group;


    @ApiModelProperty(value = "范围ID")
    private Long relationId;

    @ApiModelProperty(value = "学员名字或部门名称")
    private String name;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人名字")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人名字")
    private String updateByName;

    @ApiModelProperty("备注")
    private String note;

}
