package com.yizhi.custom.api.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 经验发放记录表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-01-02
 */
@Data
@ApiModel(value = "ExperienceRecordVo", description = "经验发放记录表")
public class ExperienceRecordVo {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "经验池id")
	private Long experiencePoolId;

    @ApiModelProperty(value = "学生id")
	private Long accountId;

    @ApiModelProperty(value = "活动类型")
	private Integer activityType;

    @ApiModelProperty(value = "活动id(考试,课程,调研,投票…..)")
	private Long activityId;

    @ApiModelProperty(value = "活动名称")
	private String activityName;

    @ApiModelProperty(value = "产生经验")
	private Integer experience;

	private Date createTime;

	private Long createById;

	private String createByName;

	private Date updateTime;

	private Long updateById;

	private String updateByName;



}
