package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-09-19
 */
@Data
@ApiModel(value = "ProductVo", description = "")
public class ProductVo {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "商品名称")
	private String productName;

	@ApiModelProperty(value = "商品单价")
	private Long price;

	@ApiModelProperty(value = "商品总数")
	private Integer amount;

	@ApiModelProperty(value = "商品剩余数量")
	private Integer remainingAmount;

	private Date createTime;

	@ApiModelProperty(value = "企业_ID")
	private Long companyId;

	@ApiModelProperty(value = "部门_ID")
	private Long orgId;

	@ApiModelProperty(value = "站点_ID")
	private Long siteId;

	@ApiModelProperty(value = "状态, 0:删除 1:有效")
	private Integer state;

}
