package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 经验池关联项目活动经验值主体
 * </p>
 *
 * @author dingxiaowei
 * @since 2018-11-01
 */
@Data
@ApiModel(value = "ProjectActivityExperienceVo", description = "")
public class ProjectActivityExperienceVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID ")
    private Long id;

    @ApiModelProperty(value = "项目关联活动ID")
    private Long experiencePoolProjectId;

    @ApiModelProperty(value = "项目类型1 课程 2 考试 3 调研 4 投票 5 外部经验")
    private Integer type;

    @ApiModelProperty(value = "活动名称")
    private String activityName;

    @ApiModelProperty(value = "活动经验来源 0 无其他条件 1 按成绩设置")
    private Integer activityExperienceSource;

    @ApiModelProperty(value = "活动经验值（分值，活动经验值来源为0时取该值，1从经验值条件表中取）")
    private Long activityExperience;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人名字")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人名字")
    private String updateByName;

    @ApiModelProperty(value = "是否有经验")
    private Integer evaluate;


}
