package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学员经验池
 * </p>
 *
 * @author dingxiaowei123
 * @since 2018-11-12
 */
@Data
@ApiModel(value = "StudentExperiencePoolVo", description = "学员经验池")
public class StudentExperiencePoolVo {

    @SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID ")
    private Long id;

    @ApiModelProperty(value = "经验池ID")
    private Long experiencePoolId;

    @ApiModelProperty(value = "用户ID")
    private Long accountId;
    
    @ApiModelProperty(value = "批次号")
    private String batchNo;
    
    @ApiModelProperty(value = "登录序号（第几个登录的）")
    private Integer num;
    
    @ApiModelProperty(value = "步数")
    private Integer step;
    
    @ApiModelProperty(value = "座右铭")
    private String motto;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人名字")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人名字")
    private String updateByName;

}
