package com.yizhi.custom.api.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 项目关联活动经验值表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2018-11-12
 */
@Data
@ApiModel(value = "StudentExperienceVo", description = "项目关联活动经验值表")
public class StudentExperienceVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID ")
    private Long id;

    @ApiModelProperty(value = "经验池ID")
    private Long experiencePoolId;

    @ApiModelProperty(value = "用户ID ")
    private Long accountId;

    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "项目类型5 (外部导入)")
    private Integer type;

    private Long activityId;

    private String activityName;
    
    @ApiModelProperty(value = "活动经验值")
    private Long experience;

    @ApiModelProperty(value = "企业id")
    private Long companyId;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "部门id")
    private Long orgId;

    @ApiModelProperty(value = "部门名称")
    private String orgName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人名字")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人名字")
    private String updateByName;

    @ApiModelProperty(value = "是否删除 0:删除, 1:未删除")
    private Integer state;
}
