package com.yizhi.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-09-19
 */
@Data
@ApiModel(value = "ProductVo", description = "")
@TableName("product")
public class Product {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "商品名称")
	@TableField("product_name")
	private String productName;

	@ApiModelProperty(value = "商品单价")
	private Long price;

	@ApiModelProperty(value = "商品总数")
	private Integer amount;

	@ApiModelProperty(value = "商品剩余数量")
	@TableField("remaining_amount")
	private Integer remainingAmount;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@ApiModelProperty(value = "企业_ID")
	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "部门_ID")
	@TableField("org_id")
	private Long orgId;

	@ApiModelProperty(value = "站点_ID")
	@TableField("site_id")
	private Long siteId;

	@ApiModelProperty(value = "状态, 0:删除 1:有效")
	private Integer state;

}
