package com.yizhi.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.application.domain.ExperiencePoolAuthorize;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ding
 * @since 2018-11-06
 */
public interface ExperiencePoolAuthorizeMapper extends BaseMapper<ExperiencePoolAuthorize> {

    List<Map<String, Object>> getListMap(@Param("experiencePoolId") Long experiencePoolId);
    
    ExperiencePoolAuthorize getExperiencePoolAuthorizeByPoolIdAndAccountId(@Param("poolId") Long poolId, @Param("accountId") Long accountId);
}
