package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.ProjectActivityExperienceSet;

import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ding
 * @since 2018-11-06
 */
public interface IProjectActivityExperienceSetService extends IService<ProjectActivityExperienceSet> {

    Map<String, Object> getSets(Long activityExperienceId, Integer setType);

    Map<String, Object> insertSet(Long activityExperienceSetId, Long activityExperienceId, Integer setType, Integer minScore, Long experience);

    Map<String, Object> insertSetWithScore(Long activityExperienceSetId, Long activityExperienceId, Integer setType, Integer times);
}
